## pandas 0.13.1

=== Makefile ===
tseries: pandas/lib.pyx pandas/tslib.pyx pandas/hashtable.pyx
	python setup.py build_ext --inplace

.PHONY : clean develop build clean clean_pyc tseries doc

clean: clean_pyc
	-rm -rf build dist
	-find . -name '*.so' -exec rm {} \;

clean_pyc:
	-find . -name '*.pyc' -exec rm {} \; -or -name '*.pyo' -exec rm {} \;

sparse: pandas/src/sparse.pyx
	python setup.py build_ext --inplace

build: clean_pyc
	python setup.py build_ext --inplace

develop: build
	-python setup.py develop

doc:
	-rm -rf doc/build
	-rm -rf doc/source/generated
	cd doc; \
	python make.py clean; \
	python make.py html

=== debian/changelog ===
pandas (0.13.1-2ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:21 +0100

pandas (0.13.1-2ubuntu1) trusty; urgency=low

  * drop statsmodels build depends to bootstrap arm64
    only adds a few more build tests

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 10 Feb 2014 20:08:13 +0100

pandas (0.13.1-2) unstable; urgency=low

  * debian/patches/changeset_6d56e7300d66d3ba76684334bbb44b6cd0ea9f61.diff
    to fix FTBFS of statsmodels due to failing tests (Closes: #735804)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 08 Feb 2014 12:46:42 -0500

pandas (0.13.1-1) unstable; urgency=low

  * Fresh upstream release
  * debian/patches
    - deb_skip_test_pytables_failure to mitigate error while testing on
      amd64 wheezy and ubuntu 12.04

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Feb 2014 12:09:29 -0500

pandas (0.13.0+git464-g15a8ff7-1) experimental; urgency=low

  * Fresh pre-release snapshot
  * debian/patches
    - removed all cherry-picked patches (should have been upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Jan 2014 21:27:45 -0500

pandas (0.13.0-2) unstable; urgency=low

  * debian/patches
    - 0001-BLD-fix-cythonized-msgpack-extension-in-setup.py-GH5.patch
      to resolve issue with building C++ Cython extension using
      pre-generated sources
    - 0001-Add-division-future-import-everywhere.patch
      0002-remove-explicit-truediv-kwarg.patch
      to resolve compatibility issues with elderly Numexpr
    - 0001-BUG-Yahoo-finance-changed-ichart-url.-Fixed-here.patch
    - deb_skip_sequencelike_on_armel to prevent FTBFS on armel due to failing
      test: https://github.com/pydata/pandas/issues/4473

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jan 2014 23:13:48 -0500

pandas (0.13.0-1) unstable; urgency=low

  * Fresh upstream release
    - resolved compatibility with matplotlib 1.3 (Closes: #733848)
  * debian/{control,rules}
    - use xvfb (added to build-depends together with xauth, and xclip)
      for tests
    - define http*_proxy to prevent downloads
    - install .md files not .rst for docs -- were renamed upstream
    - include .cpp Cython generated files into debian/cythonized-files*

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jan 2014 18:08:22 -0500

=== debian/control ===
Source: pandas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               python-all-dev (>= 2.5),
               python-setuptools,
               cython (>= 0.17.1~),
               python-numpy (>= 1:1.6.1~), python-dateutil,
               python-scipy,
               python-tz,
               python-tables,
               python-sphinx (>= 1.0~),
               python-nose,
               python-matplotlib,
               python-tk,
               python-openpyxl, python-xlwt, python-xlrd,
               python-bs4,
               python-html5lib,
               python-six,
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
               python3-numpy (>= 1:1.6.1~), python3-dateutil,
               python3-scipy,
               python3-tz,
               python3-sphinx (>= 1.0~),
               python3-nose,
               python3-matplotlib | python-matplotlib (<< 1.2.0~),
               python3-tk,
               python3-bs4,
               python3-six,
			   xvfb, xauth, xclip,
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.3
Homepage: http://pandas.sourceforge.net
Vcs-Browser: http://github.com/neurodebian/pandas
Vcs-Git: git://github.com/neurodebian/pandas.git
XS-Testsuite: autopkgtest

Package: python-pandas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy (>= 1:1.6~),
         python-dateutil,
         python-pandas-lib(>= ${source:Version}),
         python-six,
Recommends: python-scipy,
            python-matplotlib,
            python-tables,
            python-numexpr,
            python-tz,
            python-xlrd,
            python-statsmodels,
            python-openpyxl, python-xlwt, python-xlrd,
            python-bs4,
            python-html5lib,
Provides: ${python:Provides}
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 2 version.

Package: python3-pandas
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy (>= 1:1.6~),
         python3-dateutil,
         python3-pandas-lib(>= ${source:Version})
Recommends: python3-scipy,
            python3-matplotlib,
            python3-numexpr,
            python3-tables,
            python3-tz,
            python3-bs4,
            python3-html5lib,
            python3-six,
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data - Python 3
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 3 version.

# No doc package built due to dependency on ipython 0.11 - only experimental
# Package: python-pandas-doc
# Architecture: all
# Section: doc
# Depends: ${misc:Depends}, libjs-jquery
# Suggests: python-pandas
# Description: documentation and examples for pandas
#  This package contains documentation and example scripts for
#  python-pandas.

Package: python-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for pandas
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 2 version.

Package: python3-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
Description: low-level implementations and bindings for pandas - Python 3
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_HARDENING=1

# Pass hardening flags into distutils
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
export CFLAGS

PACKAGE2_NAME = python-pandas
PACKAGE3_NAME = python3-pandas
PACKAGE2_ROOT_DIR = debian/${PACKAGE2_NAME}
PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')

MIN_CYTHONVER = 0.17.3

# Some unittests might need to be excluded for different Python versions
EXCLUDE_TESTS := --exclude test_bar_log
EXCLUDE_TESTS2 :=
EXCLUDE_TESTS3.2 :=
#--exclude "test_bootstrap_plot"
EXCLUDE_TESTS3.3 :=
#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"

# MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
# $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')

# try to prevent unsunctioned downloads
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils --with python2,python3

clean_generated:
	find pandas/ -regex '.*\.c\(\|pp\)' | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f

_cythonize%:
	debian/rules clean_generated # force removal of previous copies
	python$(*:2=) setup.py cython
	D=debian/cythonized-files$(*:2=) && \
		git rm -rf $$D; \
		find pandas/ -regex '.*\.c\(\|pp\)' | while read f; do \
			grep -q 'Generated by Cython' "$$f" || continue; \
			mkdir -p "$$D/$$(dirname $$f)"; \
			cp "$$f" "$$D/$$(dirname $$f)"; \
			git add -f "$$D/$$f"; \
		done; \
		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION

_uncythonize%:
	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
		echo "I: Using pre-Cython-ed files for Python $*"; \
		cd debian/cythonized-files$$PY/ ; \
		find . -regex '.*\.c\(\|pp\)' | while read f; do cp $$f ../../$$f; done; } || :

cythonize: _cythonize2 _cythonize3

override_dh_clean: clean_generated
	: # Make sure that cythonized sources are up-to-date
	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
	dh_clean
	: # prune auto-generated version.py -- will be generated during build again
	rm -f pandas/version.py

override_dh_auto_build:
	# Override default build operation which --force's re-cythonization
	# on elderly ubuntus
	:

override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
# Per Python version logic -- install, test, remomove .so (installed into -lib)
python-install%: _uncythonize%
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
	: # Run unittests here against installed pandas
	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	python$* ci/print_versions.py; \
    cd build/; xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
      python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
else
	: # Skip unittests due to nocheck
endif

override_dh_installdocs:
	: # Build Documentation using installed pandas
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	: # not building documentation ATM since requires ipython 0.11
# 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
# 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
# 	 cd doc; python make.py html
endif
endif
	: # Use jquery from Debian package, so prune shipped one
	#TODO -rm doc/_build/html/_static/jquery.js
	dh_installdocs -A *.md

#override_dh_installchangelogs:
#	dh_installchangelogs doc/whats_new.rst

## remove .so libraries from main package, and call dh_numpy*
## while removing 2 if not present
_dh_python%:
	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
	fi
	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
	dh_python$*

## "Instantiate" both rules so dh sees them
override_dh_python2: _dh_python2
override_dh_python3: _dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/pandas-$1\.tar\.gz/" \
 http://github.com/pydata/pandas/tags .*archive/v?([\d\.rc]+).tar.gz

## pandas 0.14.1

=== debian/changelog ===
pandas (0.14.1-2) unstable; urgency=medium

  * debian/patches/changeset_314012d.diff
    - Fix converter test for MPL1.4 (Closes: #763709)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Oct 2014 11:53:42 -0400

pandas (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jul 2014 23:38:49 -0400

pandas (0.14.0+git393-g959e3e4-1) UNRELEASED; urgency=medium

  * New upstream snapshot from v0.14.0-345-g8cd3dd6
  * debian/rules
    - disable running disabled tests to prevent clipboard tests failures
      under kfreebsd kernels

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jul 2014 12:29:50 -0400

pandas (0.14.0+git213-g741b2fa-1) experimental; urgency=medium

  * New upstream snapshot from v0.14.0-213-g741b2fa.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Jun 2014 10:30:42 -0400

pandas (0.14.0+git17-g3849d5d-1) unstable; urgency=medium

  * New upstream snapshot from v0.14.0-17-g3849d5d -- has resolved a number
    of bugs sneaked into 0.14.0 release, and caused FTBFS on some platforms
    and backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Jun 2014 00:54:34 -0400

pandas (0.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 May 2014 08:45:35 -0400

pandas (0.14.0~rc1+git79-g1fa5dd4-1) experimental; urgency=medium

  * New upstream snapshot from v0.14.0rc1-73-g8793356
  * debian/patches:
    - dropped CPed changeset_*s
    - added deb_disable_googleanalytics
  * debian/control:
    - boosted policy compliance to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 May 2014 16:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
@@ -17,6 +16,7 @@
                python-matplotlib,
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
+               python-statsmodels,
                python-bs4,
                python-html5lib,
                python-six,
@@ -35,7 +35,7 @@
 			   xvfb, xauth, xclip,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
 Vcs-Git: git://github.com/neurodebian/pandas.git

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
 
-MIN_CYTHONVER = 0.17.3
+MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
 EXCLUDE_TESTS := --exclude test_bar_log
@@ -94,7 +94,7 @@
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
     cd build/; xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
+      python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
 else
 	: # Skip unittests due to nocheck
 endif

=== debian/tests/control ===
Tests: unittests
Depends: python-all,
         python-dateutil,
         python-matplotlib,
         python-nose,
         python-numpy,
         python-openpyxl,
         python-pandas,
         python-scipy,
         python-statsmodels,
         python-tables,
         python-tk,
         python-tz,
         python-xlrd,
         python-xlwt,
         python-bs4,
         python-html5lib,
         xauth,
         xvfb

Tests: unittests3
Depends: python3-all,
         python3-dateutil,
         python3-matplotlib,
         python3-nose,
         python3-numpy,
         python3-pandas,
         python3-scipy,
         python3-tk,
         python3-tz,
         python3-bs4,
         xauth,
         xvfb

## pandas 0.15.0

=== debian/changelog ===
pandas (0.15.0-2) unstable; urgency=medium

  * debian/control
    - specify minimal numpy to be 1.7
  * debian/patches
    - deb_skip_stata_on_bigendians   skip test_stata again on BE platforms
    - deb_skip_test_precision_i386   skip test_precision_conversion on 32bit

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 Oct 2014 23:09:13 -0400

pandas (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - restrict statsmodels and matplotlib from being required on the ports
      which do not have them

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Oct 2014 11:30:23 -0400

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,28 @@
                python-all-dev (>= 2.5),
                python-setuptools,
                cython (>= 0.17.1~),
-               python-numpy (>= 1:1.6.1~), python-dateutil,
+               python-numpy (>= 1:1.7~), python-dateutil,
                python-scipy,
                python-tz,
                python-tables,
                python-sphinx (>= 1.0~),
                python-nose,
-               python-matplotlib,
+               python-matplotlib [!hurd-i386],
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-               python-statsmodels,
+               python-statsmodels [!arm64 !ppc64el],
                python-bs4,
                python-html5lib,
                python-six,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
-               python3-numpy (>= 1:1.6.1~), python3-dateutil,
+               python3-numpy (>= 1:1.7~), python3-dateutil,
                python3-scipy,
                python3-tz,
                python3-sphinx (>= 1.0~),
                python3-nose,
-               python3-matplotlib | python-matplotlib (<< 1.2.0~),
+               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
                python3-tk,
                python3-bs4,
                python3-six,
@@ -44,7 +44,7 @@
 Package: python-pandas
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-         python-numpy (>= 1:1.6~),
+         python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
          python-six,
@@ -83,7 +83,7 @@
 Package: python3-pandas
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-         python3-numpy (>= 1:1.6~),
+         python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version})
 Recommends: python3-scipy,
@@ -127,7 +127,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -138,7 +138,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.

## pandas 0.16.2+git65-g054821d

=== debian/changelog ===
pandas (0.16.2+git65-g054821d-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 01 Jul 2015 14:14:02 -0400

pandas (0.16.2+git65-g054821d-1) unstable; urgency=medium

  * Fresh upstream post-release snapshot (to pick up recent fixes etc)
    (Closes: #787432)
  * debian/{control,rules}
    - build -doc package (Closes: #660900)
    - add ipython (or alternative new ones from neurodebian) into
      Build-Depends-Indep to build docs
    - add python{,3}-{lxml,html5lib} to Build-Depends and Recommends
    - use LC_ALL=C.UTF-8 while running tests
    - exclude also test_set_locale since it fails ATM
      see https://github.com/pydata/pandas/issues/10471

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Jun 2015 17:26:54 -0400

pandas (0.16.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Mar 2015 14:21:39 -0400

pandas (0.15.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Dec 2014 09:51:57 -0500

pandas (0.15.1+git125-ge463818-1) unstable; urgency=medium

  * New upstream snapshot from v0.15.1-125-ge463818.
  * Upload to unstable during freeze since previous one in sid didn't make it
    to jessie anyways
  * debian/control
    - remove versioning demand for cython (it would use pre-cythonized code on
      older ones and there is no longer need in sid/jessie to enforce version).
      As a consecuence -- removed all dsc patches pointing to
      nocython3-dsc-patch, since no longer needed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Nov 2014 21:09:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
                python-setuptools,
-               cython (>= 0.17.1~),
+               cython,
                python-numpy (>= 1:1.7~), python-dateutil,
                python-scipy,
                python-tz,
@@ -20,6 +21,8 @@
                python-bs4,
                python-html5lib,
                python-six,
+               python-lxml,
+               python-html5lib,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
@@ -32,7 +35,11 @@
                python3-tk,
                python3-bs4,
                python3-six,
-			   xvfb, xauth, xclip,
+               python3-lxml,
+               python3-html5lib,
+               xvfb, xauth, xclip,
+Build-Depends-Indep:
+ ipython (>= 0.12) | ipython2x | ipython1x,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.5
@@ -43,7 +50,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -57,6 +64,8 @@
             python-statsmodels,
             python-openpyxl, python-xlwt, python-xlrd,
             python-bs4,
+            python-html5lib,
+            python-lxml,
             python-html5lib,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
@@ -82,7 +91,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version})
@@ -94,6 +103,8 @@
             python3-bs4,
             python3-html5lib,
             python3-six,
+            python3-lxml,
+            python3-html5lib,
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data - Python 3
  pandas is a Python package providing fast, flexible, and expressive
@@ -115,19 +126,18 @@
  .
  This package contains the Python 3 version.
 
-# No doc package built due to dependency on ipython 0.11 - only experimental
-# Package: python-pandas-doc
-# Architecture: all
-# Section: doc
-# Depends: ${misc:Depends}, libjs-jquery
-# Suggests: python-pandas
-# Description: documentation and examples for pandas
-#  This package contains documentation and example scripts for
-#  python-pandas.
+Package: python-pandas-doc
+Architecture: all
+Section: doc
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Suggests: python-pandas
+Description: documentation and examples for pandas
+ This package contains documentation and example scripts for
+ python-pandas.
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -138,7 +148,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude test_bar_log
+EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale)'
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
@@ -93,7 +93,7 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
-    cd build/; xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+    cd build/; LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
       python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
 else
 	: # Skip unittests due to nocheck
@@ -106,9 +106,9 @@
 	: # not building documentation in -a
 else
 	: # not building documentation ATM since requires ipython 0.11
-# 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
-# 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-# 	 cd doc; python make.py html
+	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
+	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
+	 cd doc; python make.py html
 endif
 endif
 	: # Use jquery from Debian package, so prune shipped one

## pandas 0.17.1

=== Makefile ===
tseries: pandas/lib.pyx pandas/tslib.pyx pandas/hashtable.pyx
	python setup.py build_ext --inplace

.PHONY : develop build clean clean_pyc tseries doc

clean:
	-python setup.py clean

clean_pyc:
	-find . -name '*.py[co]' -exec rm {} \;

sparse: pandas/src/sparse.pyx
	python setup.py build_ext --inplace

build: clean_pyc
	python setup.py build_ext --inplace

develop: build
	-python setup.py develop

doc:
	-rm -rf doc/build doc/source/generated
	cd doc; \
	python make.py clean; \
	python make.py html

=== debian/changelog ===
pandas (0.17.1-3ubuntu2) xenial; urgency=medium

  * d/rules: Update EXCLUDE_TESTS to exclude more tests that are failing as
    noted in https://github.com/pydata/pandas/issues/11282.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Apr 2016 12:28:05 -0400

pandas (0.17.1-3ubuntu1) xenial; urgency=medium

  * d/rules: Update EXCLUDE_TESTS to exclude tests that are failing as
    noted in https://github.com/pydata/pandas/issues/11282.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Feb 2016 14:32:15 -0500

pandas (0.17.1-3) unstable; urgency=medium

  * debian/tests/unittest*
    - set LC_ALL=C.UTF-8 for the tests run to prevent failure of test_set_locale

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Dec 2015 08:31:30 -0500

pandas (0.17.1-2) unstable; urgency=medium

  * debian/control
    - make -statsmodels and -tables optional build-depends on those platforms
      where they are N/A atm.  Added bdepends on python3-tables since available

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 Dec 2015 12:58:26 -0500

pandas (0.17.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/rules
    - fixed deletion of moved away .so files

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Nov 2015 10:52:49 -0500

pandas (0.17.0+git8-gcac4ad2-2) unstable; urgency=medium

  * Bug fix: install also msgpack/*.so extensions to -lib packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Oct 2015 13:52:54 -0400

pandas (0.17.0+git8-gcac4ad2-1) unstable; urgency=medium

  * New upstream snapshot post release to pick up few bugfixes
    - Started to trigger failures of test_constructor_compound_dtypes and
      test_invalid_index_types -- disabled those for now, see
      https://github.com/pydata/pandas/issues/11169
  * debian/rules
    - Generate pandas/version.py if not present out of debian/changelog
      upstream version information (versioneer wouldn't know since relies on
      git)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Oct 2015 21:35:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
@@ -11,13 +10,13 @@
                python-numpy (>= 1:1.7~), python-dateutil,
                python-scipy,
                python-tz,
-               python-tables,
+               python-tables [!m68k !sh4 !x32],
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib [!hurd-i386],
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-               python-statsmodels [!arm64 !ppc64el],
+               python-statsmodels [!arm64 !ppc64el !sparc64 !mips64el !ppc64 !sparc64 !sh4],
                python-bs4,
                python-html5lib,
                python-six,
@@ -37,6 +36,7 @@
                python3-six,
                python3-lxml,
                python3-html5lib,
+               python3-tables [!m68k !sh4 !x32],
                xvfb, xauth, xclip,
 Build-Depends-Indep:
  ipython (>= 0.12) | ipython2x | ipython1x,
@@ -50,7 +50,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -91,7 +91,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version})
@@ -129,7 +129,7 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-pandas
 Description: documentation and examples for pandas
  This package contains documentation and example scripts for
@@ -137,7 +137,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -148,7 +148,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,14 @@
 PY3VER = $(shell py3versions -vd)
 
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
+# Python doesn't use ~ for rc
+UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
+UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')
 
 MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale)'
+EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|timestamp_compare|nankurt|nansem|nanskew|NaT_cast|interp_alt_scipy|where_datetime|where_timedelta|rank_methods_frame|rank_methods_series|append_frame_column_oriented|pytables|msgpack)'
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
@@ -35,6 +38,8 @@
 # try to prevent unsunctioned downloads
 export  http_proxy=http://127.0.0.1:9/
 export  https_proxy=http://127.0.0.1:9/
+
+export SHELL=/bin/bash
 
 # Mega rule
 %:
@@ -75,9 +80,14 @@
 	: # prune auto-generated version.py -- will be generated during build again
 	rm -f pandas/version.py
 
-override_dh_auto_build:
+version_py:
+	[ -e pandas/version.py ] || \
+      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/version.py
+
+override_dh_auto_build: version_py
 	# Override default build operation which --force's re-cythonization
 	# on elderly ubuntus
+	# Just build the version.py file
 	:
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
@@ -121,11 +131,9 @@
 ## remove .so libraries from main package, and call dh_numpy*
 ## while removing 2 if not present
 _dh_python%:
-	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
-	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
-	fi
 	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
 	dh_python$*
+	-find debian/python*-pandas -name "*.so" -delete
 
 ## "Instantiate" both rules so dh sees them
 override_dh_python2: _dh_python2

## pandas 0.18.0+git114-g6c692ae

=== debian/changelog ===
pandas (0.18.0+git114-g6c692ae-1~oio1) jessie; urgency=medium

  * Non-maintainer upload.

 -- Romain Acciari <romain.acciari@openio.io>  Wed, 27 Apr 2016 21:01:19 +0000

pandas (0.18.0+git114-g6c692ae-1) unstable; urgency=medium

  * debian/control
    - added python{,3}-pkg-resources to direct Depends for the packages
      (Closes: #821076)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Apr 2016 20:49:25 -0400

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
+         python-pkg-resources,
          python-six,
 Recommends: python-scipy,
             python-matplotlib,
@@ -94,7 +95,9 @@
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
-         python3-pandas-lib(>= ${source:Version})
+         python3-pandas-lib(>= ${source:Version}),
+         python3-pkg-resources,
+         python3-six,
 Recommends: python3-scipy,
             python3-matplotlib,
             python3-numexpr,

## pandas 0.18.1

=== debian/changelog ===
pandas (0.18.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 13 Jul 2016 16:34:54 -0400

pandas (0.18.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches/
    - changeset_46af7cf0f8e0477f6cc7454aa786a573228f0ac3.diff
      to allow also AttributeError exception being thrown in the tests
      (Closes: #827938)
    - debian/patches/deb_skip_test_precision_i386
      removed (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jul 2016 10:42:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
@@ -50,7 +51,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -92,7 +93,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version}),
@@ -132,7 +133,7 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-pandas
 Description: documentation and examples for pandas
  This package contains documentation and example scripts for
@@ -140,7 +141,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -151,7 +152,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.

=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,14 @@
 MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|timestamp_compare|nankurt|nansem|nanskew|NaT_cast|interp_alt_scipy|where_datetime|where_timedelta|rank_methods_frame|rank_methods_series|append_frame_column_oriented|pytables|msgpack)'
+EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row)'
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 :=
+EXCLUDE_TESTS3.3 := --exclude 'test_to_latex_filename'
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
+EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
+EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 # $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')

## pandas 0.19.1

=== debian/changelog ===
pandas (0.19.1-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 18 Nov 2016 23:50:54 -0500

pandas (0.19.1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2016 12:19:54 -0500

pandas (0.19.0+git14-ga40e185-1) unstable; urgency=medium

  * New upstream post-release (includes some bugfixes) snapshot
  * debian/patches
    - dropped changeset_ and up_ patches adopted upstream, refreshed the rest
  * debian/rules,patches
    - save debian-based version into __version.py, so doesn't conflict with
      upstream tests of public API
    - exclude for now test_expressions on python3
      (see https://github.com/pydata/pandas/issues/14269)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Oct 2016 10:26:18 -0400

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := --exclude 'test_to_latex_filename'
+EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
+
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
 EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)
@@ -79,12 +80,10 @@
 	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
 	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
 	dh_clean
-	: # prune auto-generated version.py -- will be generated during build again
-	rm -f pandas/version.py
 
 version_py:
-	[ -e pandas/version.py ] || \
-      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/version.py
+	[ -e pandas/__version.py ] || \
+      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
 
 override_dh_auto_build: version_py
 	# Override default build operation which --force's re-cythonization
